Bug 472469 - arecord: input/output error
arecord: input/output error
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: alsa-plugins (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-20 19:51 EST by Partha Bagchi
Modified: 2009-07-31 10:16 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-31 10:16:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Partha Bagchi 2008-11-20 19:51:02 EST
Description of problem: Input/output Error while trying to record on the command line.


Version-Release number of selected component (if applicable): version 1.0.18rc3 by Jaroslav Kysela <perex@perex.cz>


How reproducible: start arecord on the commandline


Steps to Reproduce:
1. arecord
2.
3.
  
Actual results:
Recording WAVE 'stdin' : Unsigned 8 bit, Rate 8000 Hz, Mono
RIFF$�WAVEfmt @@data�arecord: pcm_read:1489: read error: Input/output error

(I see that gibberish as the output)

Expected results:
Expected to be able to record off the mic. Trying to test if the internal mic works.


Additional info:
Comment 1 Jaroslav Kysela 2008-11-24 14:32:13 EST
Please, attach output from 'arecord -vvvv /dev/null' and also from 'arecord -vvvv -D plughw:0 /dev/null'.
Comment 2 Partha Bagchi 2008-11-24 18:50:24 EST
arecord -vvvv /dev/null
Recording WAVE '/dev/null' : Unsigned 8 bit, Rate 8000 Hz, Mono
ALSA <-> PulseAudio PCM I/O Plugin
Its setup is:
  stream       : CAPTURE
  access       : RW_INTERLEAVED
  format       : U8
  subformat    : STD
  channels     : 1
  rate         : 8000
  exact rate   : 8000 (8000/1)
  msbits       : 8
  buffer_size  : 4000
  period_size  : 1000
  period_time  : 125000
  tstamp_mode  : NONE
  period_step  : 1
  avail_min    : 1000
  period_event : 0
  start_threshold  : 1
  stop_threshold   : 4000
  silence_threshold: 0
  silence_size : 0
  boundary     : 2097152000
arecord: pcm_read:1489: read error: Input/output error
__________________________________________________________________________
 arecord -vvvv -D plughw:0 /dev/null
Recording WAVE '/dev/null' : Unsigned 8 bit, Rate 8000 Hz, Mono
Plug PCM: Rate conversion PCM (48000, sformat=U8)
Its setup is:
  stream       : CAPTURE
  access       : RW_INTERLEAVED
  format       : U8
  subformat    : STD
  channels     : 1
  rate         : 8000
  exact rate   : 8000 (8000/1)
  msbits       : 8
  buffer_size  : 2730
  period_size  : 682
  period_time  : 85333
  tstamp_mode  : NONE
  period_step  : 1
  avail_min    : 682
  period_event : 0
  start_threshold  : 1
  stop_threshold   : 2730
  silence_threshold: 0
  silence_size : 0
  boundary     : 178913280
Slave: Route conversion PCM (sformat=S16_LE)
  Transformation table:
    0 <- 0*0.5 + 1*0.5
Its setup is:
  stream       : CAPTURE
  access       : MMAP_INTERLEAVED
  format       : U8
  subformat    : STD
  channels     : 1
  rate         : 48000
  exact rate   : 48000 (48000/1)
  msbits       : 8
  buffer_size  : 16384
  period_size  : 4096
  period_time  : 85333
  tstamp_mode  : NONE
  period_step  : 1
  avail_min    : 4096
  period_event : 0
  start_threshold  : 6
  stop_threshold   : 16384
  silence_threshold: 0
  silence_size : 0
  boundary     : 1073741824
Slave: Hardware PCM card 0 'HDA Intel' device 0 subdevice 0
Its setup is:
  stream       : CAPTURE
  access       : MMAP_INTERLEAVED
  format       : S16_LE
  subformat    : STD
  channels     : 2
  rate         : 48000
  exact rate   : 48000 (48000/1)
  msbits       : 16
  buffer_size  : 16384
  period_size  : 4096
  period_time  : 85333
  tstamp_mode  : NONE
  period_step  : 1
  avail_min    : 4096
  period_event : 0
  start_threshold  : 6
  stop_threshold   : 16384
  silence_threshold: 0
  silence_size : 0
  boundary     : 1073741824
_________________________________________________________________________
I don't get the cursor back after that. I did Cntrl-C to get the command line.

Thanks for all your help!

Partha
Comment 3 Bug Zapper 2008-11-26 00:42:37 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Pedro Matiello 2008-11-30 12:48:04 EST
I have the same issue. Also, recording from gnome-sound-recorder is full of crack-like noises if something has been played in rhythmbox earlier (but if I mute the rhythmbox source in Pulseaudio volume control, it goes fine).

(I have changed the audio input source from Alsa to Pulseaudio in Gnome Sound Preferences. Before that, Sound Recorder locked on recording.)

I believe there's something going wrong between Pulseaudio and Alsa.

Smolt profile: http://www.smolts.org/client/show/pub_f1bd23a9-5220-4fbd-becc-b83e07c99cb4

---

[pedro@pmatiello ~]$ arecord -vvvv /dev/null 
Recording WAVE '/dev/null' : Unsigned 8 bit, Rate 8000 Hz, Mono
ALSA <-> PulseAudio PCM I/O Plugin
Its setup is:
  stream       : CAPTURE
  access       : RW_INTERLEAVED
  format       : U8
  subformat    : STD
  channels     : 1
  rate         : 8000
  exact rate   : 8000 (8000/1)
  msbits       : 8
  buffer_size  : 4000
  period_size  : 1000
  period_time  : 125000
  tstamp_mode  : NONE
  period_step  : 1
  avail_min    : 1000
  period_event : 0
  start_threshold  : 1
  stop_threshold   : 4000
  silence_threshold: 0
  silence_size : 0
  boundary     : 9007199254740992000
arecord: pcm_read:1529: read error: Input/output error

[pedro@pmatiello ~]$ arecord -vvvv -D plughw:0 /dev/null
Recording WAVE '/dev/null' : Unsigned 8 bit, Rate 8000 Hz, Mono
Plug PCM: Rate conversion PCM (48000, sformat=U8)
Its setup is:
  stream       : CAPTURE
  access       : RW_INTERLEAVED
  format       : U8
  subformat    : STD
  channels     : 1
  rate         : 8000
  exact rate   : 8000 (8000/1)
  msbits       : 8
  buffer_size  : 2730
  period_size  : 682
  period_time  : 85333
  tstamp_mode  : NONE
  period_step  : 1
  avail_min    : 682
  period_event : 0
  start_threshold  : 1
  stop_threshold   : 2730
  silence_threshold: 0
  silence_size : 0
  boundary     : 768426686420090880
Slave: Route conversion PCM (sformat=S16_LE)
  Transformation table:
    0 <- 0*0.5 + 1*0.5
Its setup is:
  stream       : CAPTURE
  access       : MMAP_INTERLEAVED
  format       : U8
  subformat    : STD
  channels     : 1
  rate         : 48000
  exact rate   : 48000 (48000/1)
  msbits       : 8
  buffer_size  : 16384
  period_size  : 4096
  period_time  : 85333
  tstamp_mode  : NONE
  period_step  : 1
  avail_min    : 4096
  period_event : 0
  start_threshold  : 6
  stop_threshold   : 16384
  silence_threshold: 0
  silence_size : 0
  boundary     : 4611686018427387904
Slave: Hardware PCM card 0 'HDA Intel' device 0 subdevice 0
Its setup is:
  stream       : CAPTURE
  access       : MMAP_INTERLEAVED
  format       : S16_LE
  subformat    : STD
  channels     : 2
  rate         : 48000
  exact rate   : 48000 (48000/1)
  msbits       : 16
  buffer_size  : 16384
  period_size  : 4096
  period_time  : 85333
  tstamp_mode  : NONE
  period_step  : 1
  avail_min    : 4096
  period_event : 0
  start_threshold  : 6
  stop_threshold   : 16384
  silence_threshold: 0
  silence_size : 0
  boundary     : 4611686018427387904
^CAborted by signal Interrupt...
Comment 5 Pedro Matiello 2008-11-30 13:57:36 EST
Workaround: removing alsa-plugins-pulseaudio seems to have fixed the issues.

I'll keep watching this issue and test any relevant updates.
Comment 6 Lennart Poettering 2009-05-06 14:15:01 EDT
Please provide the output of "pulseaudio -vvvvv" run in a terminal when this happens. (you might need to run pulseaudio -k first)
Comment 7 Lennart Poettering 2009-07-31 10:16:29 EDT
Closing due to lack of response.

Note You need to log in before you can comment on or make changes to this bug.